Subject: bug#58149: guix pull error

From: Matthieu Haefele <[email-masked]>
Date: Wed, 5 Oct 2022 12:52:12 +0200

It looks like it is not installing what has been built just before and thus try to install it with substitute that are compressed 
with lzip, right ?

Le 05/10/2022 à 12:47, Matthieu Haefele a écrit :
> Hi Ludo,
>
> Still lzip missing... Sorry for bothering so much...
>
> Le 05/10/2022 à 11:34, Ludovic Courtès a écrit :
>> Hi Matthieu,
>>
>> I figured there’s an easier option:
>>
>>    guix build \
>> /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af
>
> ok, it goes throug with substitution.
>
>
>>    sudo -i guix package -r guix -i \
>> /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af
>
> I am getting an error when trying to remove the guix package as it is not part of the profile, so I just try to install the package
>
>
> (base) mhaefele@mdlspc113:~ $ sudo -i guix package -i /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af
> /gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/bash: warning: setlocale: LC_ALL: cannot change locale 
> (fr_FR.UTF-8)
> guix package: warning: Consider running 'guix pull' followed by
> 'guix package -u' to get up-to-date packages and security updates.
>
> The following package will be installed:
>    guix-1.2.0rc2    1.0d4b1af /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af
>
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> The following derivation will be built:
>    /gnu/store/hbjh97mjafx25vs6kdc5cybjkq1xgbzd-profile.drv
> 30,2 MB will be downloaded:
>    /gnu/store/r658y3cgpnf99nxjxqgjiaizx20ac4k0-guile-2.2.4
> /gnu/store/syp239hi3xjgxdm8r4hvhhzh67i5ixgl-module-import-compiled
>    /gnu/store/r7dmaiczxb4vikn9644hsxmnh0sjyjg1-texinfo-6.5
>    /gnu/store/q09sy224qnxrp982z4xfaxi19721mjx8-gzip-1.9
> /gnu/store/hq0mz4p13znlb7zazzgvm9hf2j3vqsia-guile-gdbm-ffi-20120209.fa1d5b6
> /gnu/store/dlm7i6w4z5rfigf10l26r5648isalf2r-module-import-compiled
>    /gnu/store/4qvhdr4d4wzcdid2hkg5wanw1269nnkx-module-import
> /gnu/store/gza8djv7fmxh60pdh8jkkjj7shy3mnsz-module-import-compiled
>    /gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1
>    /gnu/store/1fl9vk8fpafkws4qyy25vcdfpybxyh1k-guile-2.0.14
>    /gnu/store/55m57xamf980iymccl9k26k4an0ynf7d-libpng-1.6.34
>    /gnu/store/c7sm7sn3yccffpggxrrfipqcn4wz3vfw-libpng-1.6.37
>    /gnu/store/d84nbv6r94i8ixvz7f6g22pwdyvnnx6g-module-import
>    /gnu/store/sw8vw31fnmfrjhb32sxvvy0yxrx9s1hc-mkfontscale-1.2.1
>    /gnu/store/3rgvdjy72vqsv45f85b0phpirnzxb4w2-mkfontdir-1.0.7
> /gnu/store/94r26r4vbrqd1f4qahzikzhdkzv2126l-module-import-compiled
> /gnu/store/ism9qw00d9gdhlhiankg72cik02bpnfm-module-import-compiled
>    /gnu/store/0h9x3hqqh4fx52735a7mykqm7mdkqnf4-libgc-7.6.6
>    /gnu/store/4jh61hq9b4pv1bjqimafcv2w1c20cqrc-libatomic-ops-7.6.6
>    /gnu/store/b7pbksdw7f1x4faimd2xmgpcipsrp9ns-libffi-3.2.1
>    /gnu/store/g3az3q22hmlqwwzqjv4vqfrhcfl88a2s-libunistring-0.9.10
>    /gnu/store/w967m83560ik61vqv0v8aw3b0avb0hng-libltdl-2.4.6
>    /gnu/store/wsq5x6sizjq8ggyfydccv1hcsciy40wi-gmp-6.1.2
>    /gnu/store/y249ycgfvg0p83hwpwf5nbn1aghjcc9n-pkg-config-0.29.2
>    /gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30
>    /gnu/store/dna8kpb00kq176rz8x69yy4j33my2q55-perl-5.28.0
>    /gnu/store/lfc9rq12c8001kl584any2pma80gr9x3-libfontenc-1.1.4
> The following grafts will be made:
>    /gnu/store/3x42c8gphp0lzgcvr23yfa3rbjlyqdbd-mkfontdir-1.0.7.drv
> /gnu/store/9z5sqc0kz80dh47hmfccm340zfm5556x-mkfontscale-1.2.1.drv
>    /gnu/store/ivighhym2js9xpj77c27qg4gfw16xxwr-freetype-2.9.1.drv
> The following profile hooks will be built:
>    /gnu/store/ximfqr7qzdjkiiq7jy2nshj3yzlwazlw-manual-database.drv
>    /gnu/store/4snpqafhd8mda41ikf7ihymmmipc5y7w-fonts-dir.drv
> /gnu/store/pakwc2r6x41niidjh8l5kiqxka0j8s9v-ca-certificate-bundle.drv
>    /gnu/store/xiw0g27hg9mlm9i5bhb1phlyai518m3b-info-dir.drv
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> downloading from https://ci.guix.gnu.org/nar/lzip/ism9qw00d9gdhlhiankg72cik02bpnfm-module-import-compiled...
> Backtrace:
>            3 (apply-smob/1 #<catch-closure 1d0a640>)
> In ice-9/boot-9.scm:
>     705:2  2 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
> In ice-9/eval.scm:
>     619:8  1 (_ #(#(#<directory (guile-user) 1d8d140>)))
> In guix/ui.scm:
>   1747:12  0 (run-guix-command _ . _)
>
> guix/ui.scm:1747:12: In procedure run-guix-command:
> unsupported compression scheme lzip
> substitution of /gnu/store/ism9qw00d9gdhlhiankg72cik02bpnfm-module-import-compiled failed
> killing process 12249
> guix package: error: some substitutes for the outputs of derivation 
> `/gnu/store/97wvcdim7xa3s1dd3f3y59zkw26w37yk-module-import-compiled.drv' failed (usually happens due to networking issues); try 
> `--fallback' to build derivation from source
>
>
> Thanks
> Mat
>
>